searchNodes=[{"doc":"","ref":"Changex.html","title":"Changex","type":"module"},{"doc":"This module is used to read and manipulate a changelog file.","ref":"Changex.Changelog.html","title":"Changex.Changelog","type":"module"},{"doc":"Get the changelog without the current section. If a path containing the following changelog is given with a tag of v0.0.2 # 0.0.3-dev ... # v0.0.2 ... # v0.0.1 ... Then the output will be: # v0.0.2 ... # v0.0.1 ...","ref":"Changex.Changelog.html#read/2","title":"Changex.Changelog.read/2","type":"function"},{"doc":"A module containing functions to be used inside other formatters.","ref":"Changex.Formatter.html","title":"Changex.Formatter","type":"module"},{"doc":"Format changelog to the terminal in markdown format that matches the format of the elixir-lang changelog","ref":"Changex.Formatter.Elixir.html","title":"Changex.Formatter.Elixir","type":"module"},{"doc":"Take a map of commits in the following format: %{ fix : %{ scope1 : [ commit1 , commit2 ] , scope2 : [ commit5 , commit6 ] } feat : %{ scope1 : [ commit3 , commit4 ] , scope2 : [ commit7 , commit8 ] } } And return a string in the format: ## v0.0.1 * Enhancements * [ Scope 1 ] commit 1 * [ Scope 1 ] commit 2 * [ Scope 2 ] commit 5 * [ Scope 2 ] commit 6 * Bug fixes * [ Scope 1 ] commit 3 * [ Scope 1 ] commit 4 * [ Scope 2 ] commit 7 * [ Scope 2 ] commit 8","ref":"Changex.Formatter.Elixir.html#format/2","title":"Changex.Formatter.Elixir.format/2","type":"function"},{"doc":"Format changelog to the terminal in markdown format.","ref":"Changex.Formatter.Markdown.html","title":"Changex.Formatter.Markdown","type":"module"},{"doc":"Take a map of commits in the following format: %{ fix : %{ scope1 : [ commit1 , commit2 ] , scope2 : [ commit5 , commit6 ] } feat : %{ scope1 : [ commit3 , commit4 ] , scope2 : [ commit7 , commit8 ] } } And return a string in the format: # v0.0.1 ## Bug Fixes * * * Scope 1 * * * commit 1 - hash * commit 2 - hash * * * Scope 2 * * * commit 5 - hash * commit 6 - hash ## Features * * * Scope 1 * * * commit 3 - hash * commit 4 - hash * * * Scope 2 * * * commit 7 - hash * commit 8 - hash","ref":"Changex.Formatter.Markdown.html#format/2","title":"Changex.Formatter.Markdown.format/2","type":"function"},{"doc":"Output the formatted changelog to the terminal.","ref":"Changex.Formatter.Terminal.html","title":"Changex.Formatter.Terminal","type":"module"},{"doc":"Take a map of commits in the following format: %{ fix : %{ scope1 : [ commit1 , commit2 ] , scope2 : [ commit5 , commit6 ] } feat : %{ scope1 : [ commit3 , commit4 ] , scope2 : [ commit7 , commit8 ] } } And output them to the terminal in the following format: Bug Fixes Scope 1 * commit 1 - hash * commit 2 - hash Scope 2 * commit 5 - hash * commit 6 - hash Features Scope 1 * commit 3 - hash * commit 4 - hash Scope 2 * commit 7 - hash * commit 8 - hash","ref":"Changex.Formatter.Terminal.html#output/2","title":"Changex.Formatter.Terminal.output/2","type":"function"},{"doc":"","ref":"Changex.Formatter.Utils.html","title":"Changex.Formatter.Utils","type":"module"},{"doc":"Return the version from the project based on the config specified in the mix.exs file. To ensure consistency with git tags this is prefixed with the letter &quot;v&quot;.","ref":"Changex.Formatter.Utils.html#current_version/0","title":"Changex.Formatter.Utils.current_version/0","type":"function"},{"doc":"This module will take a list of commits and sort them based on the type of the commit.","ref":"Changex.Grouper.html","title":"Changex.Grouper","type":"module"},{"doc":"Take a map of commits in the format: %{ fix : [ commit1 , commit2 ] , chore : [ commit3 , commit4 ] } And transform them into a map based on the scope of the commits. the map could look like: %{ fix : %{ scope1 : [ commit1 , commit2 ] , scope2 : [ commit5 , commit6 ] } chore : %{ scope1 : [ commit3 , commit4 ] , scope2 : [ commit7 , commit8 ] } }","ref":"Changex.Grouper.html#group_by_scope/1","title":"Changex.Grouper.group_by_scope/1","type":"function"},{"doc":"Take a list of commits in the format: [ hash , subject | body ] And transform them into a map based on the type of the commits. the map could look like: %{ fix : [ commit1 , commit2 ] , chore : [ commit3 , commit4 ] }","ref":"Changex.Grouper.html#group_by_type/1","title":"Changex.Grouper.group_by_type/1","type":"function"},{"doc":"This module will get a list of commits based on the git log on a git repository.","ref":"Changex.Log.html","title":"Changex.Log","type":"module"},{"doc":"Output a log in the format: [ [ &quot;f329668f8661795f6e2b3c9fd7b7ae6de7dc3789&quot; , &quot;fix(baz): set baz&quot; ] , [ &quot;6a02160216344cf84f8ec7b13bb10a29f2caa340&quot; , &quot;chore(bar): set bar&quot; ] , ] An optional dir argument can be passed in, if present then this location will be used for the git repository instead of the current directory.","ref":"Changex.Log.html#log/3","title":"Changex.Log.log/3","type":"function"},{"doc":"This module is used to split the subject of a commit message based on a format passed in.","ref":"Changex.SubjectSplitter.html","title":"Changex.SubjectSplitter","type":"module"},{"doc":"Split the subject based on the format . Examples iex&gt; subject = &quot;fix(user): ensure email is required&quot; iex&gt; format = &quot;%{type}(%{scope}): %{description}&quot; iex&gt; Changex.SubjectSplitter . get_parts ( subject , format ) [ type : &quot;fix&quot; , scope : &quot;user&quot; , description : &quot;ensure email is required&quot; ]","ref":"Changex.SubjectSplitter.html#get_parts/2","title":"Changex.SubjectSplitter.get_parts/2","type":"function"},{"doc":"A module that wraps git commands to act on git tags.","ref":"Changex.Tag.html","title":"Changex.Tag","type":"module"},{"doc":"Output the most recent tag if a tag exists, otherwise output nil.","ref":"Changex.Tag.html#most_recent/1","title":"Changex.Tag.most_recent/1","type":"function"},{"doc":"Display a changelog in the terminal. The changelog will be generated between two commits. To generate an automated changelog, commits must be in the format: type ( scope ) : description Where type is one of the following: Type Description feat a new feature fix a bug fix docs a documentation change style changing the code formatting/whitespace refactor refactoring existing code perf code that is designed to improve performance test adding a test revert removing a previous commit chore anything else - version bump, etc. scope should be the subject of your commit, i.e. IO.Ansi or Mix.Task description is a short description of your commit. A --dir option can be given to show a changelog from a different repository. A --github option can be given link to a GitHub repository when the commit hash is displayed. This is in the format username/repo . A --format option can be given to alter the output format of the changelog. Valid options are terminal and markdown and 'elixir'. A custom formatter may be specified by passing through a module that response to a format function. e.g. mix changex . diff -- format Custom.Formatter An optional start and last commit can be passed through. By default it will use the root commit as first and &quot;HEAD&quot; as last Examples Show the changes since the last tag. If no tag is available use the root commit. mix changex . diff Show the changes between the v0.0.1 tag and HEAD mix changex . diff v0 . 0.1 Show the changes between the v0.0.1 tag and commit ade73f mix changex . diff v0 . 0.1 ade73f","ref":"Mix.Tasks.Changex.Diff.html","title":"Mix.Tasks.Changex.Diff","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Changex.Diff.html#run/1","title":"Mix.Tasks.Changex.Diff.run/1","type":"function"},{"doc":"Write an update to the changelog file. Defaults to CHANGELOG.md A --format argument can be passed to output the changelog in a different format. A --file option can be given to change the output file. A --github option can be given link to a GitHub repository when the commit hash is displayed. This is in the format username/repo . Examples Update the changelog using the default format of markdown and file of CHANGELOG.md mix changex . update Update using elixir formatter and a file call CHANGES.markdown mix changex . update -- format elixir -- file CHANGES . markdown","ref":"Mix.Tasks.Changex.Update.html","title":"Mix.Tasks.Changex.Update","type":"task"},{"doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Changex.Update.html#run/1","title":"Mix.Tasks.Changex.Update.run/1","type":"function"}]